package com.qmth.sop.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 附件信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/7/31
 */
public class AttachmentInfoDto implements Serializable {

    @ApiModelProperty(value = "文件名")
    String fileName;

    @ApiModelProperty(value = "文件格式")
    String format;

    @ApiModelProperty(value = "文件大小")
    BigDecimal size;

    @ApiModelProperty(value = "文件md5")
    String md5;

    public AttachmentInfoDto() {

    }

    public AttachmentInfoDto(String fileName, String format, BigDecimal size, String md5) {
        this.fileName = fileName;
        this.format = format;
        this.size = size;
        this.md5 = md5;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public BigDecimal getSize() {
        return size;
    }

    public void setSize(BigDecimal size) {
        this.size = size;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
